### Function

# EDataServer memchunk_empty

#### Declaration [src]

    void
    e_memchunk_empty (
      EMemChunk* memchunk
    )

#### Description [src]

Clean out the memchunk buffers. Marks all allocated memory as free blocks, but does not give it back to the system. Can be used if the memchunk is to be used repeatedly.

This function is not directly available to language bindings.

#### Parameters

`memchunk`

  Type: `EMemChunk`

  An `EMemChunk`.

  The data is owned by the caller of the function.